Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfCaptionType

    java.lang.Object
      java.lang.Enum<OdfCaptionType>
          org.odftoolkit.odfdom.dom.type.draw.OdfCaptionType

All Implemented Interfaces:
  Serializable, Comparable<OdfCaptionType>

    public enum OdfCaptionType

extends Enum<OdfCaptionType>

DOM implementation of OpenDocument attribute draw:caption-type.

Enum Constant Summary
`ANGLED_CONNECTOR_LINE`
`ANGLED_LINE`
`STRAIGHT_LINE`

Method Summary
`static OdfCaptionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfCaptionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfCaptionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfCaptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRAIGHT_LINE

    public static final OdfCaptionType STRAIGHT_LINE

### ANGLED_CONNECTOR_LINE

    public static final OdfCaptionType ANGLED_CONNECTOR_LINE

### ANGLED_LINE

    public static final OdfCaptionType ANGLED_LINE

Method Detail

### values

    public static OdfCaptionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfCaptionType c : OdfCaptionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfCaptionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfCaptionType>`
  Returns:
    return the name of OdfCaptionType

### toString

    public static String toString(OdfCaptionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfCaptionType, see draw:caption-type
  Returns:
    return the name of OdfCaptionType

### enumValueOf

    public static OdfCaptionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfCaptionType
  Returns:
    return the constant of OdfCaptionType, see draw:caption-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.